QwtWheel(3)

NAME
QwtWheel -

SYNOPSIS

#include <qwt_wheel.h>

Inherits QwtAbstractSlider.

  Public Member Functions
QwtWheel (QWidget *parent=NULL)
virtual ~QwtWheel ()
int internalBorder () const
double mass () const
virtual QSize minimumSizeHint () const
void setInternalBorder (int width)
void setMass (double val)
virtual void setOrientation (Qt::Orientation)
void setTickCnt (int cnt)
void setTotalAngle (double angle)
void setViewAngle (double angle)
void setWheelWidth (int w)
virtual QSize sizeHint () const
int tickCnt () const
double totalAngle () const
double viewAngle () const

  Protected Member Functions
void draw (QPainter *, const QRect &)
void drawWheel (QPainter *, const QRect &)
void drawWheelBackground (QPainter *, const QRect &)
virtual void getScrollMode (const QPoint &, int &scrollMode, int &direction)
virtual double getValue (const QPoint &)
void layoutWheel (bool update=true)
virtual void paintEvent (QPaintEvent *e)
virtual void paletteChange (const QPalette &)
virtual void resizeEvent (QResizeEvent *e)
void setColorArray ()
virtual void valueChange ()

  Additional Inherited Members

Detailed Description

The Wheel Widget. The wheel widget can be used to change values over a very large range in very small steps. Using the setMass member, it can be configured as a flywheel.

See also:
    The radio example.

Member Function Documentation

  void QwtWheel::draw (QPainter *painter, const QRect &) [protected]
Redraw panel and wheel

Parameters:
    painter Painter

  void QwtWheel::drawWheel (QPainter *painter, const QRect &r) [protected]

Redraw the wheel. Parameters:
    painter painter
    r contents rectangle

  void QwtWheel::drawWheelBackground (QPainter *painter, const QRect &r) [protected]
Draw the Wheel's background gradient

Parameters:
    painter Painter
    r Bounding rectangle

  void QwtWheel::getScrollMode (const QPoint &p, int &scrollMode, int &direction) [protected], [virtual]

Determine the scrolling mode and direction corresponding to a specified point. Parameters:
    p point
    scrollMode scrolling mode
    direction direction

Implements QwtAbstractSlider.

  int QwtWheel::internalBorder () const
Returns:
    Internal border width of the wheel.

See also:
    setInternalBorder()

  double QwtWheel::mass () const [virtual]
Returns:
    mass

Reimplemented from QwtAbstractSlider.

  QSize QwtWheel::minimumSizeHint () const [virtual]

Return a minimum size hint. Warning:
    The return value is based on the wheel width.

  void QwtWheel::setInternalBorder (intw)

Set the internal border width of the wheel. The internal border must not be smaller than 1 and is limited in dependence on the wheel's size. Values outside the allowed range will be clipped.

The internal border defaults to 2.

Parameters:
    w border width

See also:
    internalBorder()

  void QwtWheel::setMass (doubleval) [virtual]

Set the mass of the wheel. Assigning a mass turns the wheel into a flywheel.

Parameters:
    val the wheel's mass

Reimplemented from QwtAbstractSlider.

  void QwtWheel::setOrientation (Qt::Orientationo) [virtual]

Set the wheel's orientation. Parameters:
    o Orientation. Allowed values are Qt::Horizontal and Qt::Vertical. Defaults to Qt::Horizontal.

See also:
    QwtAbstractSlider::orientation()

Reimplemented from QwtAbstractSlider.

  void QwtWheel::setTickCnt (intcnt)

Adjust the number of grooves in the wheel's surface. The number of grooves is limited to 6 <= cnt <= 50. Values outside this range will be clipped. The default value is 10.

Parameters:
    cnt Number of grooves per 360 degrees

See also:
    tickCnt()

  void QwtWheel::setTotalAngle (doubleangle)

Set the total angle which the wheel can be turned. One full turn of the wheel corresponds to an angle of 360 degrees. A total angle of n*360 degrees means that the wheel has to be turned n times around its axis to get from the minimum value to the maximum value.

The default setting of the total angle is 360 degrees.

Parameters:
    angle total angle in degrees

See also:
    totalAngle()

  void QwtWheel::setViewAngle (doubleangle)

Specify the visible portion of the wheel. You may use this function for fine-tuning the appearance of the wheel. The default value is 175 degrees. The value is limited from 10 to 175 degrees.

Parameters:
    angle Visible angle in degrees

See also:
    viewAngle(), setTotalAngle()

  void QwtWheel::setWheelWidth (intw)

Set the width of the wheel. Corresponds to the wheel height for horizontal orientation, and the wheel width for vertical orientation.

Parameters:
    w the wheel's width

  QSize QwtWheel::sizeHint () const [virtual]
Returns:
    a size hint

  int QwtWheel::tickCnt () const
Returns:
    Number of grooves in the wheel's surface.

See also:
    setTickCnt()

  double QwtWheel::totalAngle () const
Returns:
    Total angle which the wheel can be turned.

See also:
    setTotalAngle()

  double QwtWheel::viewAngle () const
Returns:
    Visible portion of the wheel

See also:
    setViewAngle(), totalAngle()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.